<< blackmanharris | FOSSEE_Signal_Processing_Toolbox | bohmanwin >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > blackmannuttall

# blackmannuttall

Generate a Blackman-Nuttall window.

### Syntax

    w = blackmannuttall(m)
    w = blackmannuttall(m, opt)

### Parameters

m:

  Positive integer. Length of the Blackman-Nuttall window.

opt:

  String. Specifies the type of Blackman-Nuttall window ('symmetric' or 'periodic'). Default is 'symmetric'.

### Description

This function returns the filter coefficients of a Blackman-Nuttall window of length `m`. The second parameter `opt` specifies whether the window is 'symmetric' (default) or 'periodic'.

### Examples

    blackmannuttall(5, "symmetric")

Report an issue
<< blackmanharris | FOSSEE_Signal_Processing_Toolbox | bohmanwin >>